<?xml version="1.0" encoding="ISO-8859-1"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:javaProfile="http:///schemas/javaProfile/_wCZm0N0oEeSfefuUt0TgMw/3" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http:///schemas/javaProfile/_wCZm0N0oEeSfefuUt0TgMw/3 pathmap://JAVA_PROFILE/javaProfile.uml#_wCcqIN0oEeSfefuUt0TgMw">
  <uml:Profile xmi:id="_kQs7oBv4EeW8O-AeiXObRQ" name="target.declaration" metamodelReference="_kQs7uxv4EeW8O-AeiXObRQ">
    <eAnnotations xmi:id="_kQs7oRv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/uml2/2.0.0/UML">
      <contents xmi:type="ecore:EPackage" xmi:id="_kQs7ohv4EeW8O-AeiXObRQ" name="targetdeclaration" nsURI="http:///schemas/targetdeclaration/_kQp4UBv4EeW8O-AeiXObRQ/0" nsPrefix="targetdeclaration">
        <eAnnotations xmi:id="_kQs7oxv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/uml2/2.0.0/UML">
          <details xmi:id="_kQs7pBv4EeW8O-AeiXObRQ" key="originalName" value="target.declaration"/>
        </eAnnotations>
        <eSubpackages xmi:id="_kQs7pRv4EeW8O-AeiXObRQ" name="target" nsURI="http:///targetdeclaration/target.ecore" nsPrefix="targetdeclaration.target">
          <eAnnotations xmi:id="_kQs7phv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/uml2/4.0.0/UML" references="_kQs7vRv4EeW8O-AeiXObRQ"/>
          <eSubpackages xmi:id="_kQs7pxv4EeW8O-AeiXObRQ" name="declaration" nsURI="http:///targetdeclaration/target/declaration.ecore" nsPrefix="targetdeclaration.target.declaration">
            <eAnnotations xmi:id="_kQs7qBv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/uml2/4.0.0/UML" references="_kQs7vhv4EeW8O-AeiXObRQ"/>
            <eClassifiers xmi:type="ecore:EClass" xmi:id="_kQs7qRv4EeW8O-AeiXObRQ" name="MyAnnotation">
              <eAnnotations xmi:id="_kQs7qhv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_kQs7vxv4EeW8O-AeiXObRQ"/>
              <eOperations xmi:id="_kQs7qxv4EeW8O-AeiXObRQ" name="typeConstraint">
                <eAnnotations xmi:id="_kQs7rBv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/emf/2002/GenModel">
                  <details xmi:id="_kQs7rRv4EeW8O-AeiXObRQ" key="documentation" value="not self.base_Type.oclIsUndefined() implies Set{uml::Stereotype,&#xA;&#x9;&#x9;&#x9;&#x9;&#x9;uml::Class, uml::Enumeration, uml::Interface}&#xD;&#xA;&#x9;&#x9;&#x9;&#x9;&#x9; -> includes(self.base_Type.oclType())"/>
                </eAnnotations>
                <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
                <eParameters xmi:id="_kQs7rxv4EeW8O-AeiXObRQ" name="diagnostics">
                  <eAnnotations xmi:id="_kQs7sBv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/emf/2002/GenModel">
                    <details xmi:id="_kQs7sRv4EeW8O-AeiXObRQ" key="documentation" value="The chain of diagnostics to which problems are to be appended."/>
                  </eAnnotations>
                  <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/emf/2002/Ecore#//EDiagnosticChain"/>
                </eParameters>
                <eParameters xmi:id="_kQs7sxv4EeW8O-AeiXObRQ" name="context">
                  <eAnnotations xmi:id="_kQs7tBv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/emf/2002/GenModel">
                    <details xmi:id="_kQs7tRv4EeW8O-AeiXObRQ" key="documentation" value="The cache of context-specific information."/>
                  </eAnnotations>
                  <eGenericType xmi:id="_kQs7thv4EeW8O-AeiXObRQ">
                    <eTypeArguments xmi:id="_kQs7txv4EeW8O-AeiXObRQ">
                      <eClassifier xmi:type="ecore:EDataType" href="http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
                    </eTypeArguments>
                    <eTypeArguments xmi:id="_kQs7uBv4EeW8O-AeiXObRQ">
                      <eClassifier xmi:type="ecore:EDataType" href="http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
                    </eTypeArguments>
                    <eClassifier xmi:type="ecore:EDataType" href="http://www.eclipse.org/emf/2002/Ecore#//EMap"/>
                  </eGenericType>
                </eParameters>
              </eOperations>
              <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_kQs7uRv4EeW8O-AeiXObRQ" name="base_Type" ordered="false">
                <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/5.0.0/UML#//Type"/>
              </eStructuralFeatures>
            </eClassifiers>
          </eSubpackages>
        </eSubpackages>
      </contents>
    </eAnnotations>
    <packageImport xmi:id="_kQs7uxv4EeW8O-AeiXObRQ">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_METAMODELS/UML.metamodel.uml#_0"/>
    </packageImport>
    <packageImport xmi:id="_kQs7vBv4EeW8O-AeiXObRQ">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_kQs7vRv4EeW8O-AeiXObRQ" name="target">
      <packagedElement xmi:type="uml:Package" xmi:id="_kQs7vhv4EeW8O-AeiXObRQ" name="declaration">
        <packagedElement xmi:type="uml:Stereotype" xmi:id="_kQs7vxv4EeW8O-AeiXObRQ" name="MyAnnotation" visibility="public">
          <ownedRule xmi:id="_kQs7wBv4EeW8O-AeiXObRQ" name="typeConstraint" constrainedElement="_kQs7vxv4EeW8O-AeiXObRQ">
            <specification xmi:type="uml:OpaqueExpression" xmi:id="_kQs7wRv4EeW8O-AeiXObRQ" name="typeConstraintExpression">
              <language>OCL</language>
              <body>not self.base_Type.oclIsUndefined() implies Set{uml::Stereotype,
					uml::Class, uml::Enumeration, uml::Interface}&#xD;
					 -> includes(self.base_Type.oclType())</body>
            </specification>
          </ownedRule>
          <ownedAttribute xmi:id="_kQs7whv4EeW8O-AeiXObRQ" name="base_Type" association="_kQs7xRv4EeW8O-AeiXObRQ">
            <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Type"/>
            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_kQs7wxv4EeW8O-AeiXObRQ"/>
            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_kQs7xBv4EeW8O-AeiXObRQ" value="1"/>
          </ownedAttribute>
        </packagedElement>
        <packagedElement xmi:type="uml:Extension" xmi:id="_kQs7xRv4EeW8O-AeiXObRQ" name="extension_MyAnnotation_Type" memberEnd="_kQs7whv4EeW8O-AeiXObRQ _kQs7xhv4EeW8O-AeiXObRQ">
          <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_kQs7xhv4EeW8O-AeiXObRQ" name="extension_Type" type="_kQs7vxv4EeW8O-AeiXObRQ" aggregation="composite" association="_kQs7xRv4EeW8O-AeiXObRQ"/>
        </packagedElement>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:id="_kQs7xxv4EeW8O-AeiXObRQ">
      <eAnnotations xmi:id="_kQs7yBv4EeW8O-AeiXObRQ" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="pathmap://JAVA_PROFILE/javaProfile.uml#_wCcqIN0oEeSfefuUt0TgMw"/>
      </eAnnotations>
      <appliedProfile href="pathmap://JAVA_PROFILE/javaProfile.uml#_LICG-bmhEeKP6JNTocDZqQ"/>
    </profileApplication>
  </uml:Profile>
  <javaProfile:JProfile xmi:id="_kQs7yRv4EeW8O-AeiXObRQ" base_Package="_kQs7oBv4EeW8O-AeiXObRQ"/>
</xmi:XMI>
